Subject: Why Your Peptide Stings
From: Hunter Williams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 28 Apr 2026 22:04:33 +0000

Happy Tuesday! 

Today, I just released the April 2026 solo Q&A episode.

I covered 37 questions around women's health, men's health, GLPs, growth hormone peptides, bio-regulators, and a few tough ones on disease states that I had to think hard about.

Youtube: April 2026 Solo Q&A — Every Question Answered | Hunter Williams (https://youtu.be/HIxxh_uZCuw)

Watch on YouTube: [https://youtu.be/HIxxh_uZCuw](https://youtu.be/HIxxh_uZCuw)

Listen on Spotify: [https://open.spotify.com/episode/3guZiMntQjtvwXGgbZP9EJ?si=kTmpRTQrRuWeB4lAxeH2Rw](https://open.spotify.com/episode/3guZiMntQjtvwXGgbZP9EJ?si=kTmpRTQrRuWeB4lAxeH2Rw)

“In case you missed it, I launched a giveaway last week to celebrate 100,000 active newsletter readers. You can register to [win here](https://hunterwilliamshealth.com/giveaway). 

[https://hunterwilliamshealth.com/giveaway](https://hunterwilliamshealth.com/giveaway)“ — 

———————————————————————————

**Here's a summary of what I covered:**

* The truth about kisspeptin for women on TRT (and why it won't do what most people think)

* My optimal estrogen and testosterone targets for women, broken down by life stage

* Why PCOS in young women is almost always something else, and the three-step protocol I'd run

* A simple trick to make GHK-Cu stop stinging when you inject it

* Why I'll never get a vasectomy, and what to do if you've already had one

* PEG-MGF for injury recovery, and why I think it’s the most underrated peptide nobody is talking about

* How to actually calculate your weekly GLP dose when stacking tirzepatide and retatrutide

* Why I still take metformin every day at 500mg

* MK-677 vs MK-777, and what the differences are

* What's really happening when someone gets anaphylaxis from sermorelin after a year of use

* The SLU-PP-332 pills vs injection debate

* Why CRP can spike on TA-1, and what I'd use instead

Plus a bunch more on dosing, stacking, storage, and reconstitution that you can actually use this week!

———————————————————————————

**Got a question for next month?**

Drop it in the question box, and I'll answer it on the May Q&A:

[https://hunterwilliamsvideotopic.carrd.co/](https://hunterwilliamsvideotopic.carrd.co/)

These questions help me figure out what to make content about. 

So if you've got something you're working through, send it in. 

No question is too basic or too weird!

Best, 

Hunter

———

You are reading a plain text version of this post. For the best experience, copy and paste this link in your browser to view the post online:
https://huntershealthhacks.beehiiv.com/p/why-your-peptide-stings